> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Address tag

> Retrieve address tag and metadata for a specific Kaspa address, like its owning entity, exchange, etc. 

We implemented a clustering algorithm to group addresses with similar characteristics. The results are not exhaustive and are subject to change.

If we cannot find a tag for the address, the API will return a 404 error.

## Cost

This endpoint costs **0.1 RU** (Request Units) per call.


## OpenAPI

````yaml GET /v1/addresses/{address}/tag
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/addresses/{address}/tag:
    get:
      tags:
        - Address
      summary: Address tag
      description: >-
        Retrieve address tag and metadata for a specific Kaspa address, like its
        owning entity, exchange, etc. 


        We implemented a clustering algorithm to group addresses with similar
        characteristics. The results are not exhaustive and are subject to
        change.


        If we cannot find a tag for the address, the API will return a 404
        error.
      operationId: AddressController_getAddressTag
      parameters:
        - name: address
          required: true
          in: path
          description: Kaspa address
          schema:
            example: >-
              kaspa:qpzpfwcsqsxhxwup26r55fd0ghqlhyugz8cp6y3wxuddc02vcxtjg75pspnwz
            type: string
      responses:
        '200':
          description: The tag for the address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAddressTagResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    GetAddressTagResponseDto:
      type: object
      properties:
        tag:
          description: The tag for the address
          allOf:
            - $ref: '#/components/schemas/AddressTagResponseDto'
      required:
        - tag
    AddressTagResponseDto:
      type: object
      properties:
        address:
          type: string
          description: Kaspa address
          example: kaspa:qpzpfwcsqsxhxwup26r55fd0ghqlhyugz8cp6y3wxuddc02vcxtjg75pspnwz
        name:
          type: string
          description: The name of the tag
          example: MEXC Wallet
        link:
          type: string
          description: Reference link to the tag
          example: https://mexc.com
        labels:
          description: The label name representing the "category" for clustering addresses.
          example:
            - exchange
          type: array
          items:
            type: string
      required:
        - address
        - name
        - link
        - labels
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````